# WOK
TKWOK
WOKBuilder

# WOKBuilder_ToolInShell Class Reference

`#include <WOKBuilder_ToolInShell.hxx>`

Inheritance diagram for WOKBuilder_ToolInShell:

[legend]

## Public Member Functions

Standard_EXPORT void | SetShell (const Handle(WOKUtils_Shell)&ashell)
Standard_EXPORT void | SetTemplate (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | Template () const
Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension | Extensions () const
Standard_EXPORT void | SetExtensions (const Handle(WOKBuilder_HSequenceOfExtension)&exts)
Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString | TreatedExtensionNames () const
Standard_EXPORT Handle_TCollection_HAsciiString | OptionLine () const
virtual Standard_EXPORT void | Load ()
Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | EvalProduction () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_ToolInShell (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
Standard_EXPORT Handle_WOKUtils_Shell | Shell () const
Standard_EXPORT void | ResetShell () const

## Private Attributes

Handle_TCollection_HAsciiString | myfile
Handle_WOKUtils_Shell | myshell
Handle_TCollection_HAsciiString | mytemplate
Handle_WOKBuilder_HSequenceOfExtension | myexts

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_ToolInShell::WOKBuilder_ToolInShell | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_ToolInShell::EvalProduction | ( |  | ) | const

Standard_EXPORT Handle_WOKBuilder_HSequenceOfExtension WOKBuilder_ToolInShell::Extensions | ( |  | ) | const

Standard_EXPORT const WOKBuilder_ToolInShell::Handle | ( | Standard_Type |  | ) | const

Reimplemented from WOKBuilder_Tool.

Reimplemented in WOKBuilder_ArchiveExtract, WOKBuilder_Archiver, WOKBuilder_CodeGenerator, WOKBuilder_Command, WOKBuilder_Compiler, WOKBuilder_DLLinker, WOKBuilder_ExecutableLinker, WOKBuilder_EXELinker, WOKBuilder_ImportLibrarian, WOKBuilder_Linker, WOKBuilder_SharedLinker, WOKBuilder_StaticLibrarian, WOKBuilder_WNTCollector, WOKBuilder_WNTLibrarian, WOKBuilder_WNTLinker, WOKOBJS_OSSG, and WOKOrbix_IDLCompiler.

virtual Standard_EXPORT void WOKBuilder_ToolInShell::Load | ( |  | ) | `[virtual]`

| Implements WOKBuilder_Tool. Reimplemented in WOKBuilder_ArchiveExtract, WOKBuilder_Archiver, WOKBuilder_Command, WOKBuilder_Linker, and WOKOBJS_OSSG.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ToolInShell::OptionLine | ( |  | ) | const

Standard_EXPORT void WOKBuilder_ToolInShell::ResetShell | ( |  | ) | const`[protected]`

Standard_EXPORT void WOKBuilder_ToolInShell::SetExtensions | ( | const Handle(WOKBuilder_HSequenceOfExtension)& | exts | ) |

Standard_EXPORT void WOKBuilder_ToolInShell::SetShell | ( | const Handle(WOKUtils_Shell)& | ashell | ) |

Standard_EXPORT void WOKBuilder_ToolInShell::SetTemplate | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT Handle_WOKUtils_Shell WOKBuilder_ToolInShell::Shell | ( |  | ) | const`[protected]`

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_ToolInShell::Template | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfHAsciiString WOKBuilder_ToolInShell::TreatedExtensionNames | ( |  | ) | const

## Field Documentation

Handle_WOKBuilder_HSequenceOfExtension WOKBuilder_ToolInShell::myexts `[private]`

Handle_TCollection_HAsciiString WOKBuilder_ToolInShell::myfile `[private]`

| Reimplemented in WOKBuilder_CodeGenerator.

Handle_WOKUtils_Shell WOKBuilder_ToolInShell::myshell `[private]`

Handle_TCollection_HAsciiString WOKBuilder_ToolInShell::mytemplate `[private]`

The documentation for this class was generated from the following file:

- WOKBuilder_ToolInShell.hxx